import React from 'react';
import { withRouter } from "react-router-dom";
import styles from './CardViewTwoStyles.less';
import {
  Badge,
  Card,
  WhiteSpace,
  Flex,
  WingBlank,
} from 'antd-mobile';
class MyBodyCard extends React.Component{
  pushRoute=(item)=>{

    try{
      console.info(item);
      this.props.history.push(`/SearchPage/${item.jDName}`);
    }catch (e)
    {
      console.info(e);
    }

  };
  render(){
    const arrayData=this.props.data;
    console.info(arrayData);
    if(arrayData!==null){
        return(
          <div className={styles.myDiv}>
            {
              arrayData.map((item,index)=>{
                return (
                  <div key={index}>
                    <Card full onClick={()=>this.pushRoute(item)}>
                      <Card.Header
                        style={ {padding:"0",color:'#38c5b8',fontSize:"0.85rem"}}
                        title={
                          <div style={ {padding:"1.2rem 1.3rem",color:'#38c5b8',width:"100%"}}>
                            <Flex style={{justifyContent:"space-between",alignItems:"flex-start"}}>
                              <Flex.Item>
                                <Flex style={{alignItems:"flex-start"}}>
                                  <p style={ {paddingRight:"0.75rem",color:'#666',fontWeight:"500"}}>{item.index>=10?item.index:`0${item.index}`}</p>
                                  <p style={{color:"#000"}}>{item.jDName}</p>
                                </Flex>
                              </Flex.Item>
                              <Flex.Item style={{textAlign:"right"}}>
                                <div style={{width:"6rem",display:"inline-block",borderRadius:"0.6rem",background:"#caf6f0",textAlign:"center",fontSize:"0.7rem"}}>
                                  <span style={ {paddingRight:"0.75rem",color:'#000',fontWeight:"500"}}>总证数</span>
                                  <span style={{color:"#000"}}>{item.xiangMuZongHuShu}</span>
                                </div>
                              </Flex.Item>
                            </Flex>
                          </div>
                        }
                      />
                      <Card.Body>
                        <Flex>
                          <Flex.Item><Badge className={styles.mybadgetwo}  style={{background:"none"}} text={
                            <div style={{color:"#333"}}>
                              <span style={ {paddingRight:"15px"}}>已签约总数</span>
                              <span >{item.yiQianYueHuShu}</span>
                            </div>
                          }/></Flex.Item>
                          <Flex.Item><Badge style={{background:"none"}} text={
                            <div style={{color:"#333"}}>
                              <span style={ {paddingRight:"0.75rem"}}>签约比例</span>
                              <span >{item.qianYueHuShuBiLi}</span>
                            </div>
                          }/></Flex.Item>
                        </Flex>
                        <Flex>
                          <Flex.Item><Badge  style={{background:"none"}} text={
                            <div style={{color:"#333"}}>
                              <span style={ {paddingRight:"0.75rem"}}>产权调换比例</span>
                              <span >{item.qianYueHuShuBiLi}</span>
                            </div>
                          }/></Flex.Item>
                          <Flex.Item><Badge  style={{background:"none"}} text={
                            <div style={{color:"#333"}}>
                              <span style={ {paddingRight:"0.75rem"}}>货币补偿比例</span>
                              <span >{item.huoBiBuChangBiLi}</span>
                            </div>
                          }/></Flex.Item>
                        </Flex>
                      </Card.Body>
                    </Card>
                    <WhiteSpace size="lg" style={{background:"#eee"}}  />
                  </div>
                );
              })
            }
          </div>
        );
    }else{
      return(
        <div className={styles.myDiv}>
        </div>
      );
    }
  }
}
export default withRouter(MyBodyCard);
