import React from 'react';
import { Router, Route, Switch } from 'dva/router';
import dynamic from 'dva/dynamic';
import MiddleSelectPage from "./routes/MiddleSelectPage";
//import SearchPage from "./routes/Home/SearchPage";

function RouterConfig({ history, app }) {
  const IndexPage = dynamic({
    app,
    component: () => import('./routes/IndexPage'),
  });
  const HomePage = dynamic({
    app,
    component: () => import('./routes/Home/HomePage'),
  }) ;
  const SearchPage = dynamic({
    app,
    component: () => import('./routes/Home/SearchPage'),
  }) ;
  return (
    <Router history={history}>
      <Switch>
        <Route path="/" exact component={MiddleSelectPage} />
        <Route path="/Home" component={HomePage} />
        <Route path="/Login" component={IndexPage} />
        <Route path="/SearchPage/:pjName" component={SearchPage} />
      </Switch>
    </Router>
  );
}

export default RouterConfig;
