import React, { Component } from 'react';
import PropTypes from 'prop-types';
import { connect } from 'dva';
import MyTopCard from '../../components/CardViewOne';
import {
  Cell,
  Select,
  Page,
  Badge,
  CellBody,
  Form,
} from 'react-weui';
//import styles
import 'weui';
import 'react-weui/build/packages/react-weui.css';
import styles from '../IndexPage.css';
import MyBodyCard from "../../components/CardViewTwo";
class HomePage extends React.Component{
  componentWillMount() {
    const { dispatch } = this.props;
    dispatch({ type: 'home/getSummary',payload: { pNumber:'浦东新区' }});
    dispatch({ type: 'home/getSummaryData',payload: { pNumber:'浦东新区' }});
  }
  onChange=(value)=>{
    console.info("改变了");
    const { dispatch } = this.props;
    let objS = document.getElementById("pid");
    let district = objS.options[objS.selectedIndex].value;
    dispatch({ type: 'home/getSummary',payload: { pNumber:district }});
    dispatch({ type: 'home/getSummaryData',payload: { pNumber:district }});
  };
  render(){
    return (
      <Page>
        <span className={styles.myspan}>
          <Select id="pid" data={[
            {
              value: '浦东新区',
              label: '浦东新区'
            },
            {
              value: '杨浦区',
              label: '杨浦区'
            },
            {
              value: '宝山区',
              label: '宝山区'
            },
            {
              value: '徐汇区',
              label: '徐汇区'
            },
            {
              value: '青浦区',
              label: '青浦区'
            },
            {
              value: '嘉定区',
              label: '嘉定区'
            }
          ]} onChange={this.onChange}/>
        </span>
        <MyTopCard data={this.props.home.Summary}/>
        <MyBodyCard data={this.props.home.SummaryData}/>
      </Page>
    );
  };
}

HomePage.propTypes = {
  home: PropTypes.object,
};
// 指定订阅数据，这里关联了 login
function mapStateToProps({ home }) {
  return {home};
}
export default connect(mapStateToProps)(HomePage);
